html, body {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto,
    Oxygen, Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue,
    sans-serif;
    background-color: rgb(76, 109, 140);
    display: flex;
    flex-direction: column;
}

.login--window {
    margin: auto;
    width: fit-content;
    box-shadow: 5px 5px 10px black;
    background-color: white;
    border-radius: 20px;
}

.login--header {
    padding-top: 15px;
    padding-left: 15px;
    padding-right: 15px;
}

.login--main-title {
    font-size: 30px;
    font-weight: bold;
    color: black;
}

.login--accent {
    color: green;
}

.login--body {
    display: flex;
    justify-content: center;
    padding-top: 15px;
    padding-bottom: 15px;
}

.login--options {
    display: flex;
    flex-direction: row;
}

.login--login {
    margin-right: 20px;
}

.login--signup {
    border-left: 2px solid black;
    padding-left: 20px;

}

.login--medium-title {
    font-size: 20px;
    font-weight: bold;
}

.login--input-block {
    padding-top: 8px;
}

.login--small-title {
    font-size: 15px;
    font-weight: bold;
}

.login--signup-verify > .login--small-title {
    margin-left: 15px;
}

.login--signup-verify > ul {
    margin-top: 10px;
    padding-left: 38px;
}

.login--signup-verify > ul > li.valid {
    list-style-type: "🔓 ";
    color: green;
}

.login--signup-verify > ul > li.invalid {
    list-style-type: "🔒 ";
    color: black;
}

.login--output {
    display: flex;
    justify-content: center;
    padding-bottom: 15px;
}

.main--header {
    height: 5vh;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.main--header-inner {
    display: flex;
    flex-direction: row;
}

.main--user {
    font-weight: bold;
}

.main--logout {
    margin-left: 10px;
}

.main--treeview {
    height: 95vh;
}

.main--tree {
    width: -webkit-fill-available;
    height: 94vh;
}

.admin--container {
    margin: auto;
    width: fit-content;
    background-color: white;
    box-shadow: 5px 5px 10px black;
    padding: 25px;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.admin--container-header {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.admin--logout {
    margin-left: 15px;
}

.admin--title {
    font-size: 30px;
    font-weight: bold;
}

.admin--users-table {
    margin-top: 5px;
    border: 1px solid;
}

.admin--users-table {
    border-collapse: collapse;
}
  
.admin--users-table td, .admin--users-table th {
    border: 1px solid #ddd;
    padding: 8px;
}
  
.admin--users-table tr:nth-child(even){background-color: #f2f2f2;}
  
.admin--users-table tr:hover {background-color: #ddd;}
  
.admin--users-table th {
    padding-top: 12px;
    padding-bottom: 12px;
    text-align: left;
    background-color: #6818c9;
    color: white;
}

.admin--table-title {
    font-weight: bold;
}

.admin--activity-header {
    display: flex;
    flex-direction: row;
    margin-top: 5px;
}

.admin--activity-log-clear-button {
    margin-left: 15px;
}

.admin--send-mass-email {
    margin-top: 5px;
}

.admin--input-block {
    margin-top: 5px;
}

